@tailwind base;
@tailwind components;
@tailwind utilities;

body{
	@apply bg-page dark:bg-page-dark;
	font-family:"Acherus Feral",sans-serif;
	overflow-y:scroll;
	min-width:max-content;
}
body.no-scroll{
	overflow:hidden;
}
html::-webkit-scrollbar{
	width:8px;
	height:8px;
}
html::-webkit-scrollbar-track{
	background:rgba(200, 200, 220, 0.3);
}
html::-webkit-scrollbar-thumb{
	background:rgba(200, 200, 220, 0.8);
}
html::-webkit-scrollbar-thumb:hover{
	background:rgba(150, 150, 150, 0.8);
}
svg{
	@apply pointer-events-none;
}
h1{
	@apply font-bold text-3xl mb-2;
}
h1.long{
	@apply text-ellipsis max-w-[95vw] leading-[50px] overflow-hidden inline-block whitespace-nowrap;
}
h1.center, h2.center{
	text-align:center;
}
h2{
	@apply font-bold text-2xl mt-4 mb-2;
}
h3{
	@apply font-bold text-xl mt-2 mb-2;
}
p{
	@apply text-xl my-2;
}
a{
	@apply
	underline decoration-1 underline-offset-2
	text-link-color hover:text-link-hover-color
	dark:text-link-color-dark dark:hover:text-link-hover-color-dark
	decoration-link-underline-color dark:decoration-link-underline-color-dark;
}
.header-wrapper{
	@apply bg-container dark:bg-container-dark min-w-max shadow-header dark:shadow-header-dark /*shadow-lg*/;
}
.header-container{
	width:100vw;
	/*width:calc(100vw + 2rem);*/
}
.header{
	@apply flex flex-nowrap justify-between content-center items-center max-w-[100vw] place-items-center h-20;
}
.footer-wrapper{
	@apply mt-[200px] bg-footer-back dark:bg-footer-back-dark min-w-max shadow-footer dark:shadow-footer-dark /*shadow-lg*/;
}
.footer-container{
	width:100vw;
	/*width:calc(100vw + 2rem);*/
}
.footer{
	@apply flex flex-nowrap justify-between content-center items-center max-w-[100vw] place-items-center h-20 text-footer-text dark:text-footer-text-dark;
}
.footer .footer-links{
	@apply flex align-middle items-center text-footer-links pr-4 lg:pr-0;
}
.footer .footer-links a{
	@apply !no-underline text-footer-text dark:text-footer-text-dark;
}
.footer .footer-links a:before{
	@apply inline-block px-[8px];
	content:"•";
}
.logo{
	white-space: nowrap;
}
.logo img{
	@apply inline-block max-h-20 max-w-sm;
}
.logo-wrapper{
	@apply grow lg:grow-0 pr-4 pl-4 lg:pl-0 min-w-[220px];
}
.logo-wrapper span{
	@apply hidden md:inline-block
	text-black dark:text-white
	text-xl uppercase align-middle
	border-0 border-gray-200/50 dark:border-gray-500/50
	border-l-2
	ml-2 pl-2;
}
.logo-wrapper .beta{
	@apply text-xs text-gray-300 absolute ml-[100px] mt-[-12px];
}
.menu-button-wrapper{
	@apply grow-0 lg:hidden pr-4 lg:pr-0;
}
.menu-toggle .menu-button-wrapper{
	@apply lg:block;
}
.menu-button-wrapper button{
	@apply transition-colors flex items-center px-3 py-2 border rounded
	text-nbar dark:text-nbar-dark
	border-nbar dark:border-nbar-dark
	bg-transparent
	hover:text-white hover:border-white hover:bg-nbar
	dark:hover:text-black dark:hover:border-black dark:hover:bg-nbar-dark;
}
.menu-wrapper{
	@apply block flex-grow hidden lg:inline-flex lg:grow text-lg items-center;
}
.menu-wrapper ul{
	@apply flex justify-center grow flex-col lg:flex-row list-none gap-[32px];
}
ul.submenu{
	@apply flex justify-start grow
	flex-nowrap lg:flex-wrap
	list-none flex-row
	overflow-x-auto pb-2 lg:pb-0 max-w-[100vw] lg:max-w-none
	gap-[8px]/*gap-3*/;
}
.menu-wrapper ul li{
	@apply m-0;
}
ul.submenu li{
	@apply m-0;
}

.menu-wrapper ul li a{
	@apply transition-colors duration-500 inline-block border border-white rounded hover:border-gray-100 text-blue-500 hover:bg-gray-100 py-1 px-3 whitespace-nowrap !no-underline;
}
ul.submenu li a{
	@apply transition-colors duration-500 dark:duration-[0ms]
	inline-block
	border-b-[2px]
	border-transparent hover:border-tab dark:hover:border-tab-dark
	!text-tab dark:!text-tab-dark
	bg-transparent hover:bg-transparent
	py-1 px-3 whitespace-nowrap !no-underline;
}
.menu-wrapper ul li a.selected{
	@apply transition-colors duration-500 inline-block border border-blue-500 rounded bg-blue-500 hover:bg-blue-600 text-white hover:text-white py-1 px-3;
}
ul.submenu li a.selected{
	@apply border-tab-active dark:border-tab-active-dark
	hover:border-tab-active dark:hover:border-tab-active-dark
	!text-tab-active dark:!text-tab-active-dark;
}

.menu-wrapper ul li a{
	@apply text-header-menu dark:text-header-menu-dark bg-transparent border-transparent rounded-buttons;
}
.menu-wrapper ul li a:hover{
	@apply text-header-menu dark:text-header-menu-dark bg-header-menu-back dark:bg-header-menu-back-dark border-transparent;
}
.menu-wrapper ul li a.selected{
	@apply text-header-menu hover:text-header-menu dark:text-header-menu-dark bg-header-menu-back hover:bg-header-menu-back dark:bg-header-menu-back-dark border-transparent rounded-buttons;
}
.user-badge{
	@apply text-right min-w-[300px];
}
.user-badge a{
	/*@apply action-btn reverse-btn duration-[0ms];
	*/
	@apply transition-colors duration-500 dark:duration-[0ms] inline-block
	border
	border-inline-button dark:border-inline-button-dark
	hover:border-inline-button-hover dark:hover:border-inline-button-hover-dark
	rounded-action-button
	text-inline-button hover:text-white
	dark:text-inline-button-dark dark:hover:text-black
	bg-white hover:bg-inline-button-hover
	dark:bg-transparent dark:hover:bg-inline-button-hover-dark
	py-1 px-3 !no-underline;

}
.user-badge .loading{
	@apply hidden align-middle mr-2;
}
.user-badge .loading img{
	@apply opacity-50;
	width: 20px;
	margin-top: -5px;
	position: relative;
}
.user-badge.waiting .loading{
	@apply inline-block;
}
.user-badge a.attention-button{
	@apply border-none mr-4 hover:bg-transparent py-1 px-0 align-middle
	text-orange-500 hover:text-main-color dark:hover:text-main-color-dark;
}
.user-badge a.attention-button svg{
	@apply pointer-events-auto /*fill-current*/ inline-block align-baseline;
}
.user-badge a.notify-button{
	@apply border-none mr-4 hover:bg-transparent py-1 px-0 align-middle text-gray-400 hover:text-gray-500;
}
.user-badge a.notify-button{
	@apply text-header-menu dark:text-header-menu-dark;
}
.user-badge a.notify-button svg{
	@apply pointer-events-auto fill-current inline-block align-baseline;
}
.user-badge a.theme-toggle{
	@apply hidden border-none mr-4 hover:bg-transparent py-1 px-0 align-middle text-gray-400 hover:text-black;
}
.user-badge a.theme-toggle{
	@apply text-header-menu dark:text-header-menu-dark;
}
.user-badge a.theme-toggle svg{
	@apply pointer-events-auto /*fill-current*/ inline-block align-baseline;
}
.user-badge a.check-in-status{
	@apply border-none mr-2 bg-transparent hover:bg-transparent py-1 px-0 align-middle text-green-500 hover:text-green-600 transition-colors duration-300;
}
.user-badge a.check-in-status svg{
	@apply pointer-events-auto /*fill-current*/ inline-block align-baseline;
}
.menu-toggle-wrapper .user-badge a.attention-button svg{
	@apply align-middle;
}
.menu-toggle-wrapper .user-badge a.notify-button svg{
	@apply align-middle;
}
.menu-toggle-wrapper .user-badge a.theme-toggle svg{
	@apply align-middle;
}
.menu-toggle-wrapper .user-badge .check-in-status svg{
	@apply align-middle;
}
.user-badge .explainer{
	@apply align-middle ml-4 inline-block md:hidden;
}
.user-badge a.notify-button.new::before{
	content:"";
	display: inline-block;
	width: 0.5rem;
	height: 0.5rem;
	border-radius: 50%;
	background: #2563eb;
	position: absolute;
	margin-left: 0.8rem;
	border: 1px solid #fff;
}
.user-badge a.notify-button.new::before{
	@apply bg-ncounter-back dark:bg-ncounter-back-dark border border-ncounter dark:border-ncounter-dark;
}
.menu-toggle-wrapper .user-badge a.notify-button.new::before{
	margin-left: 0.8rem;
	margin-top: 3px;
}
.user-badge a.notify-button .counter{
	display: inline-block;
	width: 18px;
	height: 18px;
	text-align: center;
	border-radius: 50%;
	background: #2563eb;
	position: absolute;
	border: 1px solid #fff;
	font-size: 10px;
	color: #fff;
	line-height: 16px;
	overflow: hidden;
	margin-left: 12px;
	margin-top: -5px;
}

.user-badge a.notify-button .counter{
	@apply text-ncounter dark:text-ncounter-dark bg-ncounter-back dark:bg-ncounter-back-dark border border-ncounter dark:border-ncounter-dark;
}

.menu-toggle-wrapper .user-badge a.notify-button .counter{
	margin-left: 12px;
	margin-top: -2px;
}

.user-badge a.avatar{
	@apply border-none
	hover:bg-white dark:hover:bg-transparent
	text-link-color hover:text-link-hover-color
	dark:text-link-color-dark dark:hover:text-link-hover-color-dark
	mr-4 lg:mr-0
	py-1 px-0
	duration-[0ms];
}
a.avatar img, a.avatar svg{
	@apply rounded-full
	h-[46px] w-[46px]
	/*h-8 w-8*/
	inline-block mr-2 bg-[#D0DEF5] dark:bg-white p-[4px];
	position:relative;
	top:-0.2rem;
}
.header a.avatar img, .header a.avatar svg{
	@apply ml-[24px];
}

.menu-toggle{
	@apply overflow-y-scroll bg-container dark:bg-container-dark fixed top-0 left-0 right-0 bottom-0 z-30;
	width:calc(100vw + 2rem);
	height:calc(100vh + 4rem);
}
.menu-toggle .user-badge a{
	@apply block my-4 text-center py-2;
}
.menu-toggle .user-badge a.theme-changer{
	@apply !hidden;
}
.menu-toggle::-webkit-scrollbar{
	width:8px;
	height:8px;
}
.menu-toggle::-webkit-scrollbar-track{
	background:rgba(200, 200, 220, 0.3);
}
.menu-toggle::-webkit-scrollbar-thumb{
	background:rgba(200, 200, 220, 0.8);
}
.menu-toggle::-webkit-scrollbar-thumb:hover{
	background:rgba(150, 150, 150, 0.8);
}
.menu-toggle-wrapper{
	@apply p-4 pt-0 text-lg max-w-[100vw];
}
.menu-toggle-wrapper .user-badge{
	@apply mb-12 pb-4;
}
.menu-toggle-wrapper ul{
	@apply flex justify-center grow flex-col list-none;
}
.menu-toggle-wrapper ul li{
}

.menu-toggle-wrapper ul li a{
	@apply transition-colors duration-500 text-center block border-0 border-transparent border-l-4 text-black dark:text-white bg-transparent hover:bg-nbar-back dark:hover:bg-nbar-back-dark py-4 no-underline;
}
.menu-toggle-wrapper ul li a.selected{
	@apply border-nbar text-nbar dark:border-nbar-dark dark:text-nbar-dark;
}

.countdown-buttons-wrapper{
	@apply flex flex-col justify-center items-center;
}
.action{
	@apply transition-colors duration-500 dark:duration-[0ms] inline-block
	border-0 rounded-action-button
	bg-action-button-back hover:bg-action-button-hover-back
	dark:bg-action-button-back-dark dark:hover:bg-action-button-hover-back-dark
	text-action-button-text hover:text-action-button-text
	dark:text-action-button-text-dark dark:hover:text-action-button-text-dark
	py-1 pb-2 px-3
	cursor-pointer text-xl;
}

.countdown-buttons-wrapper .action{
	@apply block w-fit md:w-full md:max-w-[496px] lg:max-w-[576px] my-4 text-center text-2xl py-2 no-underline;
}
.countdown-buttons-wrapper .action svg{
	@apply w-[26px] h-[26px];
}
.countdown-buttons-wrapper .default-button{
	@apply py-2 no-underline !bg-main-color hover:!bg-main-color !border-main-color hover:!border-main-color;
}

.text-content a{
	@apply underline decoration-1 underline-offset-2
	text-link-color hover:text-link-hover-color
	dark:text-link-color-dark dark:hover:text-link-hover-color-dark
	decoration-link-underline-color dark:decoration-link-underline-color-dark;;
}

.card-content a{
	@apply underline;
}
.form-check{
	@apply mb-4;
}
/* reverse is inline type of button */
.reverse-btn{
	@apply transition-colors duration-500 inline-block
	border
	rounded-action-button

	border-inline-button hover:border-inline-button-hover active:border-inline-button-active
	dark:border-inline-button-dark dark:hover:border-inline-button-hover-dark dark:active:border-inline-button-active-dark

	text-inline-button hover:!text-inline-button-hover active:!text-inline-button-active
	dark:text-inline-button-dark dark:hover:!text-inline-button-hover-dark dark:active:!text-inline-button-active-dark

	bg-transparent hover:bg-transparent
	/*bg-white hover:bg-white*/
	leading-[36px]
	/*py-1*/ px-3
	!no-underline cursor-pointer
	mb-2 lg:mb-0 mr-2;
}
.reverse-btn.big{
	@apply leading-[48px];
}
.links-list{
	@apply flex justify-start grow flex-row flex-wrap gap-3 max-w-[100vw];
}
.links-list a{
	@apply !m-0;
}
/* buttons */
.action-btn{
	@apply transition-colors duration-500 inline-block
	border-0 /*border-green-600 hover:border-transparent*/
	rounded-action-button

	text-action-button-text dark:text-action-button-text-dark
	hover:!text-action-button-text dark:hover:!text-action-button-text-dark
	active:!text-action-button-text dark:active:!text-action-button-text-dark

	bg-action-button-back hover:bg-action-button-hover-back active:bg-action-button-active-back disabled:bg-action-button-disabled-back
	dark:bg-action-button-back-dark dark:hover:bg-action-button-hover-back-dark dark:active:bg-action-button-active-back-dark dark:disabled:bg-action-button-disabled-back-dark

	/*py-1*/ px-3
	!no-underline cursor-pointer
	leading-[36px]
	mb-2 lg:mb-0 mr-2;
}
.action-btn.selected{
	@apply !text-action-button-text dark:!text-action-button-text-dark
	bg-action-button-active-back dark:bg-action-button-active-back-dark;
}
.action-btn.disabled{
	@apply !opacity-100;
}

.grid-wrapper{
	@apply grid grid-cols-12 gap-[30px];
}
.grid-full-wrapper{
	/* my-4  mb-[24px] */
	/* default form gap from figma */
	@apply mt-[12px] mb-[12px];
}
.grid-wrapper .grid-full-wrapper{
	@apply col-span-12;
}
.action-btn.big{
	@apply leading-[48px];
}
.grid-wrapper .action-btn.big{
	@apply col-span-3 mr-0;
}

.action-btn.redo{
	@apply transition-colors duration-500 dark:duration-[0ms]
	inline-block
	border rounded-action-button
	border-orange-600 hover:border-transparent
	dark:border-orange-600
	text-orange-600 hover:!text-white
	dark:text-orange-200 dark:hover:!text-white
	bg-white hover:bg-orange-600
	dark:bg-orange-900 dark:hover:bg-orange-600
	/*py-1*/ px-3
	!no-underline cursor-pointer
	mb-2 lg:mb-0 mr-2;
}
.action-btn.configure{
	@apply transition-colors duration-500 dark:duration-[0ms]
	inline-block
	rounded-action-button
	border
	border-orange-600 hover:border-transparent
	dark:border-orange-600
	text-orange-600 hover:!text-white
	dark:text-orange-200 dark:hover:!text-white
	bg-white hover:bg-orange-600
	dark:bg-orange-900 dark:hover:bg-orange-600
	/*py-1*/ px-3
	!no-underline cursor-pointer
	mb-2 lg:mb-0 mr-2;
}

.action-btn.navigate{
	@apply transition-colors duration-500 dark:duration-[0ms] inline-block
	border
	rounded-action-button
	border-blue-600 hover:border-transparent
	dark:border-blue-600
	text-blue-600 hover:!text-white
	dark:text-blue-200 dark:hover:!text-white
	bg-white hover:bg-blue-600
	dark:bg-blue-900 dark:hover:bg-blue-600
	/*py-1*/ px-3
	!no-underline cursor-pointer
	mb-2 lg:mb-0 mr-2;
}
.light .action-btn.navigate{
	@apply border-[#51eeda] text-[#141616] bg-transparent hover:bg-[#51eeda] hover:!text-[#141616] duration-[0ms];
}

.action-btn.negative{
	@apply transition-colors duration-500 dark:duration-[0ms] inline-block
	border
	rounded-action-button
	border-red-600 hover:border-transparent
	dark:border-red-600
	text-red-600 hover:!text-white
	dark:text-red-200 dark:hover:!text-white
	bg-white hover:bg-red-600
	dark:bg-red-900 dark:hover:bg-red-600
	/*py-1*/ px-3
	!no-underline cursor-pointer
	mb-2 lg:mb-0 mr-2;
}

.action-btn.active{
	@apply !text-white font-bold;
}
.disabled{
	@apply opacity-50 cursor-not-allowed;
}

.small-btn{
	@apply transition-colors duration-500 dark:duration-[0ms]
	inline-block border
	rounded-action-button
	border-blue-600 hover:border-transparent
	dark:border-blue-600
	!text-blue-600 hover:!text-white
	dark:!text-blue-200 dark:hover:!text-white
	bg-white hover:bg-blue-600
	dark:bg-blue-900 dark:hover:bg-blue-600
	/*py-1*/ px-3
	!no-underline text-sm
	cursor-pointer
	mb-2
	whitespace-nowrap
	leading-[36px];
}
.toggle-btn{
	@apply transition-colors duration-500 dark:duration-[0ms]
	inline-block
	border rounded-action-button
	border-orange-600
	dark:border-orange-600
	!text-orange-600 hover:!text-white
	dark:!text-orange-200 dark:hover:!text-white
	bg-white hover:bg-orange-600
	dark:bg-orange-900 dark:hover:bg-orange-600
	hover:border-transparent

	/*py-1*/ px-3
	leading-[36px]
	!no-underline text-sm
	cursor-pointer whitespace-nowrap;
}
.green-btn{
	@apply transition-colors duration-500 dark:duration-[0ms]
	inline-block
	border
	rounded-action-button
	border-green-600 hover:border-transparent
	dark:border-green-600
	!text-green-600 hover:!text-white
	dark:!text-green-200 dark:hover:!text-white
	bg-white hover:bg-green-600
	dark:bg-green-900 dark:hover:bg-green-600

	/*py-1*/ px-3
	!no-underline text-sm cursor-pointer whitespace-nowrap;
}
.violet-btn{
	@apply transition-colors duration-500 dark:duration-[0ms]
	inline-block border
	rounded-action-button
	border-violet-600 hover:border-transparent
	dark:border-violet-600
	!text-violet-600 hover:!text-white
	dark:!text-violet-200 dark:hover:!text-white
	bg-white hover:bg-violet-600
	dark:bg-violet-900 dark:hover:bg-violet-600
	/*py-1*/ px-3
	!no-underline text-sm cursor-pointer whitespace-nowrap;
}
.red-btn{
	@apply transition-colors duration-500 dark:duration-[0ms]
	inline-block border
	border-red-600 hover:border-transparent
	dark:border-red-600
	rounded-action-button
	!text-red-600 hover:!text-white
	dark:!text-red-200 dark:hover:!text-white
	bg-white hover:bg-red-600
	dark:bg-red-900 dark:hover:bg-red-600

	/*py-1*/ px-3
	!no-underline text-sm cursor-pointer whitespace-nowrap;
}
.atcb-action-button svg{
	@apply inline-block mr-1 align-text-top;
}
.action.atcb-action-button svg{
	@apply inline-block mr-1 align-text-top;
}
.subscribe-action-button svg{
	@apply inline-block mr-1 align-text-top;
}
.unsubscribe-action-button svg{
	@apply inline-block mr-1 align-text-top;
}

.table-wrapper{
	@apply tinyscroll overflow-x-auto;
	max-width: calc(100vw - 0rem);
	margin-right:0;
}
table thead tr th{
	@apply bg-gray-50 font-bold text-gray-900 px-6 py-4 text-left;
}
.dark table thead{
	border-color:#90909060;
}
.dark table thead tr th{
	background-color:#2c2c2c;
	color:#fff;
}
table tbody tr:nth-child(2n){
	@apply bg-gray-100 border-b;
}
.dark table tbody tr:nth-child(2n){
	background-color:#3c3c3c;
	border-color:#90909060;
}
table.clear tbody tr:nth-child(2n){
	@apply bg-transparent border-0;
}
table tbody tr td{
	@apply px-6 py-4 text-left;
}
td.small-padding{
	@apply p-2;
}
.json-addon-cell{
	@apply text-sm max-w-xs max-h-16 overflow-x-auto overflow-y-auto p-2;
}
.json-addon-cell.larger{
	@apply max-w-xl;
}
.tinyscroll::-webkit-scrollbar{
	width:8px;
	height:8px;
}
.tinyscroll::-webkit-scrollbar-track{
	background:rgba(200, 200, 220, 0.3);
}
.tinyscroll::-webkit-scrollbar-thumb{
	background:rgba(200, 200, 220, 0.8);
}
.tinyscroll::-webkit-scrollbar-thumb:hover{
	background:rgba(150, 150, 150, 0.8);
}
.filters-wrapper{
	@apply justify-end flex flex-col lg:flex-row;
}
.filters-wrapper>div{
	@apply mb-1 lg:mb-0 mx-0 lg:mx-1;
}
.filters-wrapper>div:last-child{
	@apply mb-0 mr-0;
}
.filters-wrapper input{
	@apply appearance-none
	block
	w-full
	py-1.5 px-2
	text-base
	font-normal text-gray-800
	border border-solid border-gray-300
	border-b-2
	rounded
	transition
	ease-in-out
	m-0
	focus:text-gray-700 focus:bg-white focus:border-blue-600 focus:outline-none;
}
select{
	@apply form-select appearance-none
	block
	w-full
	max-w-full
	py-1.5
	text-base
	font-normal
	text-gray-700
	bg-white bg-clip-padding bg-no-repeat
	border border-solid border-gray-300
	border-b-2
	rounded
	transition
	ease-in-out
	m-0
	focus:text-gray-700 focus:bg-white focus:border-blue-600 focus:outline-none;
}
select option:checked, select option:hover{
	@apply bg-blue-500 text-white;
}

.attention-box{
	@apply p-alerts my-4
	border-alerts rounded-content-box
	border-attention-stroke dark:border-attention-stroke-dark
	bg-attention-back dark:bg-attention-back-dark
	text-attention-text dark:text-attention-text-dark;
}
.success-box{
	@apply p-alerts my-4
	border-alerts rounded-content-box
	border-success-stroke dark:border-success-stroke-dark
	bg-success-back dark:bg-success-back-dark
	text-success-text dark:text-success-text-dark;
}
.success-box a:hover{
	@apply text-green-800 dark:text-[#b7ffe6];
}
.attention-box a:hover{
	@apply text-orange-800 dark:text-[#b7ffe6];
}
.attention-box p,.success-box p{
	@apply text-sm;
}
.attention-box a,.success-box a{
	@apply underline;
}

table img.avatar{
	@apply rounded-full h-8 w-8 inline-block;
}
table img.cover{
	@apply rounded-md object-cover h-12 w-36 inline-block;
}
table img.logo-preview{
	@apply rounded-md h-12 w-12 inline-block object-contain;
}

/* remove outline and shadow from plugin @tailwindcss/forms */
[type='text']:focus, [type='email']:focus, [type='url']:focus, [type='password']:focus, [type='number']:focus, [type='date']:focus, [type='datetime-local']:focus, [type='month']:focus, [type='search']:focus, [type='tel']:focus, [type='time']:focus, [type='week']:focus, [multiple]:focus, textarea:focus, select:focus{
	@apply !outline-none !shadow-none;
	box-shadow:none !important;
}
input[type="submit"]{
	@apply cursor-pointer;
}
input[disabled]{
	@apply cursor-not-allowed opacity-50;
}
.manage-card{
	@apply my-4;
}
.manage-card input[type="text"], .manage-card input[type="number"], .manage-card input[type="password"], .manage-card input[type="file"], .manage-card input[type="datetime-local"], .manage-card textarea, .manage-card select, .filters-wrapper input, .filters-wrapper select{
	@apply /*shadow*/ appearance-none
	border
	border-input-stroke dark:border-input-stroke-dark
	hover:border-input-stroke-hover dark:hover:border-input-stroke-hover-dark
	focus:border-input-stroke-focus dark:focus:border-input-stroke-focus-dark
	disabled:border-input-stroke-disabled dark:disabled:border-input-stroke-disabled-dark

	rounded-input
	py-input-y px-input-x
	bg-input-back dark:bg-input-back-dark
	hover:bg-input-back-hover dark:hover:bg-input-back-hover-dark
	focus:bg-input-back-focus dark:focus:bg-input-back-focus-dark
	disabled:bg-input-back-disabled dark:disabled:bg-input-back-disabled-dark

	text-input-fontsize

	text-input-text dark:text-input-text-dark
	placeholder-input-placeholder dark:placeholder-input-placeholder-dark
	focus:text-input-text-focus dark:focus:text-input-text-focus-dark
	focus:placeholder-input-placeholder-focus dark:focus:placeholder-input-placeholder-focus-dark
	focus:text-input-text-focus dark:focus:text-input-text-focus-dark
	disabled:placeholder-input-placeholder-disabled dark:disabled:placeholder-input-placeholder-disabled-dark

	leading-tight
	/* focus:outline-none */
	/* min-w-max */
	min-w-[320px];

	/* min-width:320px; */
}
.filters-wrapper input, .filters-wrapper select{
	@apply min-w-0 pr-[32px];
}
.manage-card input[type="text"].error, .manage-card input[type="number"].error, .manage-card input[type="password"].error, .manage-card input[type="file"].error, .manage-card input[type="datetime-local"].error, .manage-card textarea.error, .manage-card select.error, .filters-wrapper input.error, .filters-wrapper select.error{
	@apply border-input-stroke-error dark:border-input-stroke-error-dark
	bg-input-back-error dark:bg-input-back-error-dark
	text-input-text-error dark:text-input-text-error-dark
	placeholder-input-placeholder-error dark:placeholder-input-placeholder-error-dark;
}
.multi-checkbox{
	@apply flex flex-col;
}
.multi-checkbox label{
	@apply flex items-center p-2 cursor-pointer
	hover:bg-gray-100 dark:hover:bg-[#00000030]
	border-b-2 border-gray-200/50 dark:border-[#60606060];
}
.multi-checkbox label input{
	@apply mr-2;
}

.speakers-list{
	@apply flex flex-wrap my-6 max-w-[100vw];
}
.speakers-list.center{
	@apply justify-center;
}
.speakers-list .speaker{
	@apply w-full sm:w-1/2 md:w-1/3 lg:w-1/4 xl:w-1/5
		rounded-content-box
		m-0 md:m-2 p-4 mb-8 md:mb-2
		overflow-hidden
		flex flex-col items-center justify-center
		transition-colors duration-500 dark:duration-[0ms]
		hover:bg-gray-100 dark:hover:bg-gray-600/50
		cursor-pointer no-underline;
}
.speakers-list .speaker .speaker-photo{
	@apply max-w-[12rem] max-h-[12rem] overflow-hidden w-full h-auto object-cover rounded-full !p-0;
}
.speakers-list .speaker .speaker-photo img{
	@apply min-w-[12rem] min-h-[12rem] object-cover;
}
.speakers-list .speaker div{
	@apply p-0 pt-2 text-center;
}
.speakers-list .speaker .speaker-public-name{
	@apply font-bold text-xl mb-0 text-black dark:text-white;
}
.speakers-list .speaker .speaker-nick-name, .speaker-card .speaker-nick-name, .speaker-card .speaker-position{
	@apply text-gray-400 text-sm pt-0;
}
.speakers-list .speaker .speaker-title, .speaker-card .speaker-title{
	@apply pt-2 text-black dark:text-white;
}
.speakers-list .speaker .speaker-company, .speaker-card .speaker-company{
	@apply text-speaker-company dark:text-speaker-company-dark font-semibold pt-0;
}
.speakers-list .speaker-starred{
	top:-2px;
}
.speaker-addons{
	@apply justify-start md:justify-end mx-0 my-2 md:my-0 flex flex-row;
}
.speaker-addons a{
	@apply text-sm
	p-2 mr-2
	border-2 rounded-md
	transition-colors duration-500 dark:duration-[0ms]
	text-speaker-addon-link hover:text-speaker-addon-hover-link dark:text-speaker-addon-link-dark dark:hover:text-speaker-addon-hover-link-dark
	bg-speaker-addon-back hover:bg-speaker-addon-hover-back dark:bg-speaker-addon-back-dark dark:hover:bg-speaker-addon-hover-back-dark
	border-gray-200/50 dark:border-gray-500/50;
}
.speaker-addons svg{
	@apply inline-block w-6 h-6;
	vertical-align: top;
	position: relative;
	top:4px;
	pointer-events:none;
}

.hidden{
	display:none;
}

.events-list{
}
.event-card{
	@apply flex flex-col md:flex-row text-lg my-6 mb-8 pb-4 border-b-2 border-gray-200/50 max-w-[100vw];
}
.dark .event-card{
	@apply border-gray-500/50;
}
.event-card.single{
	@apply border-b-0 mb-6 pb-0;
}
.event-card .event-logo{
	@apply /*max-w-fit*/ max-w-[16rem] max-h-[16rem]
	overflow-hidden
	w-full h-auto
	object-cover
	border-4 border-gray-200/50 self-start;
}
.dark .event-card .event-logo{
	@apply border-gray-500/50;
}
.event-card .event-logo img{
	@apply p-4 object-contain;
}
.event-card .event-time{
	@apply text-gray-400 text-sm;
}
.event-card .event-time .bold{
	@apply text-gray-500 font-semibold;
}
.event-card .event-start-time{
	@apply ml-4;
}
.event-card .event-global-time{
	@apply inline-block;
}
.event-card .event-local-time{
	@apply block md:inline-block hidden
	ml-2 pl-2 border-0
	md:ml-4 md:pl-4 md:border-l-2 border-gray-200;
}
.event-card .event-caption{
	@apply text-xl text-black my-2;
}
.dark .event-card .event-caption{
	@apply text-white;
}
.event-card .event-caption .event-title{
	@apply font-semibold;
}
.event-card .event-caption a{
	@apply text-blue-600 underline decoration-1 decoration-blue-300 underline-offset-2;
}
.dark .event-card .event-caption a{
	@apply text-[#4afebf] underline decoration-1 decoration-[#4afebf] underline-offset-2;
}
.event-card .event-location{
	@apply text-orange-500 text-sm my-2;
}
.event-card .event-location svg{
	@apply inline-block;
	vertical-align: top;
	position: relative;
	margin-top: 2px;
}
.event-card .event-description{
	@apply text-gray-500 text-base;
}
.event-card .event-description p{
	@apply mb-2;
}

.session-info{
	@apply w-fit max-w-full;
}

.session-speakers-list-scroll-wrapper{
	@apply tinyscroll overflow-x-auto max-w-[calc(100%_-_1rem)];
}
.session-speakers-list{
	@apply flex flex-nowrap mt-6 mb-0 md:mb-6 w-fit;
}
.session-speakers-list.center{
	@apply justify-center;
}
.session-speakers-list .speaker{
	@apply
		w-auto
		rounded-content-box
		m-0 mr-4 md:m-2 md:mr-6 p-4 px-8

		overflow-hidden
		flex flex-row items-center justify-center
		transition-colors duration-500 dark:duration-[0ms]
		hover:bg-gray-200/50 dark:hover:bg-gray-500/50
		cursor-pointer no-underline;
}
.session-speakers-list .speaker .speaker-short-info{
	@apply flex flex-col items-center justify-center;
}
.session-speakers-list .speaker .speaker-photo{
	@apply
		min-w-[6rem] min-h-[6rem]
		max-w-[6rem] max-h-[6rem]
		overflow-hidden
		w-full h-auto
		object-cover rounded-full
		!p-0 mr-4;
}
.session-speakers-list .speaker .speaker-photo img{
	@apply min-w-[6rem] min-h-[6rem] object-cover;
}
.session-speakers-list .speaker div{
	@apply p-0 text-center;
}
.session-speakers-list .speaker .speaker-public-name{
	@apply text-lg font-semibold mb-0 whitespace-nowrap text-black dark:text-white;
}
.session-speakers-list .speaker .speaker-nick-name, .session-speakers-list .speaker .speaker-position{
	@apply text-sm text-gray-400 pt-0;
}
.session-speakers-list .speaker .speaker-title{
	@apply pt-2 text-sm text-black dark:text-white;
}
.session-speakers-list .speaker .speaker-company{
	@apply text-sm font-semibold pt-0 text-speaker-company dark:text-speaker-company-dark;
}
.session-speakers-list .speaker-starred{
	top:-4px;
}

.speaker-card{
	@apply flex flex-col md:flex-row mt-4 text-xl;
}
.speaker-card .speaker-public-name{
	@apply font-bold text-2xl mb-0 text-black dark:text-white;
}
.session-info-wrapper{
	@apply flex flex-col md:flex-row;
}
.session-info-wrapper h1{
	@apply grow;
}
.speaker-info{
	@apply w-full;
}
.speaker-starred{
	@apply text-yellow-500 inline-block ml-2 align-text-bottom;
	position: relative;
	top:-4px;
}
.partner-starred{
	@apply text-yellow-500 inline-block ml-2 align-text-bottom;
	position: relative;
	top:-4px;
}

.session-addon{
	@apply justify-start md:justify-end mx-0 my-2 md:my-0 flex flex-row;
}
.session-addon a{
	@apply text-sm text-blue-600
	p-2 mr-2 border-2 rounded-md border-gray-200
	bg-white hover:bg-blue-100
	transition-colors duration-500;
}
.session-addon svg{
	@apply inline-block w-6 h-6;
	vertical-align: top;
	position: relative;
	top:4px;
	pointer-events:none;
}

.speaker-card .speaker-photo{
	@apply max-w-fit max-h-[30rem] overflow-hidden w-full h-auto object-cover
	border-4 border-gray-200/50 dark:border-gray-500/50
	/*self-center*/ self-start;
}
.speaker-card .speaker-description{
	@apply my-6 text-lg;
}
.speaker-card .speaker-description p{
	@apply mb-2;
}

.bold{
	@apply font-bold;
}

.session-card{
	@apply flex flex-col md:flex-row text-lg my-6 mb-8 pb-4
	border-b-2 border-gray-200/50 dark:border-gray-500/50
	max-w-[100vw] flex-wrap;
}
.session-card.single{
	@apply border-b-0 mb-6 pb-0;
}
.session-card .session-cover{
	@apply max-w-fit max-h-[12rem] overflow-hidden w-full h-auto object-cover
	border-4 border-gray-200/50 dark:border-gray-500/50
	self-start;
}
.session-card .session-time{
	@apply text-gray-400 text-sm;
}
.session-card .session-time .bold{
	@apply text-gray-500 font-semibold;
}
.session-card .session-time-range{
	@apply ml-4;
}
.session-card .session-global-time{
	@apply inline-block;
}
.session-card .session-local-time{
	@apply block md:inline-block hidden
	ml-2 pl-2 border-0
	md:ml-4 md:pl-4 md:border-l-2 border-gray-200/50;
}
.session-card .session-duration{
	@apply block md:inline-block
	ml-2 pl-2 border-0
	md:ml-4 md:pl-4 md:border-l-2 border-gray-200/50;
}
.session-card .session-caption{
	@apply text-xl my-2 text-black dark:text-white;
}
.session-card .session-caption .session-title{
	@apply font-semibold;
}
.session-card .session-caption a{
	@apply underline decoration-1 underline-offset-2
	text-link-color hover:text-link-hover-color
	dark:text-link-color-dark dark:hover:text-link-hover-color-dark
	decoration-link-underline-color dark:decoration-link-underline-color-dark;;
}
.session-card .session-location{
	@apply text-orange-500 text-sm my-2;
}
.session-card .session-location svg{
	@apply inline-block;
	vertical-align: top;
	position: relative;
	margin-top: 2px;
}
.session-card .session-description{
	@apply text-gray-500 text-base;
}
.session-card .session-description p{
	@apply mb-2;
}
.session-starred{
	@apply text-yellow-500 inline-block ml-2 align-text-bottom;
}

.thumbnail-image{
	@apply max-w-fit max-h-[12rem] overflow-hidden w-full h-auto object-cover border-4 border-gray-200/50 self-start;
}

.event-cover{
	@apply flex flex-col justify-center h-[calc(100vw_*_9_/_16)] lg:min-h-[60vh] overflow-hidden w-[100vw] lg:w-auto lg:h-auto object-cover m-0 p-0;
	background-size: cover;
	background-position: center;
}
.main-container{
	@apply container mx-auto pt-4 lg:pt-6 pb-4 lg:pb-6;
}
/* move footer to bottom */
.main-container.single{
	/* 80px header, 80px footer */
	/* 200px footer top margin */
	@apply min-h-[calc(100vh_-_160px_-_200px)];
}
.content{
	@apply
	bg-content-back dark:bg-content-back-dark
	text-black dark:text-white
	shadow-container-big
	p-4 rounded-content-box
	max-w-[100vw] md:max-w-fit lg:max-w-full /*min-w-full*/;
}
.content p{
	max-width:100vw;
	word-break:break-word;
}
.main-container.noshadow .content{
	@apply shadow-none;
}
.content-wrapper{
	@apply border-2 border-gray-200 rounded-lg p-4 mb-4 bg-transparent transition-colors duration-500;
}
.dark .content-wrapper{
	@apply border-gray-500;
}
.content-wrapper.waiting{
	@apply border-yellow-400 bg-yellow-100 dark:bg-yellow-300/25;
}
.content-wrapper.error{
	@apply border-red-400 bg-red-100 dark:bg-red-300/25;
}
.countdown{
	@apply flex flex-col md:flex-row justify-center items-center text-center;
}
.countdown .circle{
	@apply flex flex-col
	justify-center items-center text-center
	rounded-full
	text-2xl
	text-circle-text dark:text-circle-text-dark
	bg-circle-back dark:bg-circle-back-dark
	border-circle-border dark:border-circle-border-dark
	min-w-[100px] min-h-[100px] lg:min-w-[120px] lg:min-h-[120px]
	p-4 m-4;
}
.countdown .countdown-value{
	@apply text-3xl md:text-5xl lg:text-6xl font-bold;
}
.countdown .countdown-label{
	@apply text-sm font-semibold;
}

.images-list-scroll-wrapper{
	@apply overflow-x-auto max-w-[100vw];
}
.images-list{
	@apply flex flex-nowrap mt-2 mb-0 md:mb-2 w-fit;
}
.images-list.wrap{
	@apply flex-wrap;
}
.images-list .images-item{
	@apply
		w-auto
		max-h-[80vh]
		min-w-[25vw]
		max-w-[25vw]
		rounded-lg
		m-2 mt-0 ml-0 md:m-4 md:mt-0 md:ml-0 p-2
		overflow-hidden
		flex flex-row items-center justify-center
		object-cover
		border-4 border-gray-200
		cursor-pointer;
}
.images-list .images-item img{
	max-height:100%;
}

.address-item{
	@apply text-ellipsis max-w-[95vw] leading-[50px] overflow-hidden whitespace-nowrap;
}

.pagination{
	@apply flex flex-row flex-wrap justify-center items-center mt-4;
}
.pagination a{
	@apply
		text-lg
		text-gray-500
		m-2
		transition-colors duration-500
		cursor-pointer;
}
.dark .pagination a{
	@apply text-gray-400;
}
.pagination a:hover{
	@apply text-gray-700;
}
.dark .pagination a:hover{
	color:#4afebf;
}
.pagination a.active{
	@apply text-blue-700;
}
.dark .pagination a.active{
	color:#4afebf;
}
.light .pagination a.active{
	color:#141616;
}

/* import signer styles */
.signer-wrapper{
	@apply mx-auto max-w-[600px];
}
.signer{
	@apply bg-gray-100 p-4 rounded-lg;
}
.dark .signer{
	@apply bg-gray-400/25;
}
.signer .connect-buttons>div{
	@apply mb-4;
}
.signer .connect-buttons>div:last-child{
	@apply mb-0;
}
.signer .btn{
	@apply w-full lg:w-auto lg:min-w-[30vw] h-16 p-4;
	display:flex;
	align-items: center;
	justify-content: center;
	border-radius: 0;
	font-size: 18px;
	line-height: 21px;
	cursor: pointer;
	border-radius: 10px;
	font-weight: 700;
	text-decoration: none;

	background:#1e2121;
	border-width:1px;
	border-color: #4afebf;
	color: #4afebf;
}
.light .signer .btn{
	border-color: #141616;
	color: #141616;
	background:#ffffff;
}
.signer .btn-link{
	height: 55px;
	padding: 8px 22px 6px;
	display: flex;
	align-items: center;
	justify-content: center;
	color: inherit;
	background: transparent;
	border: 0;
}
.signer .btn.btn-sm{
	height: 36px;
}
.signer .btn.btn-lg{
	height: 70px;
}
.signer .btn:hover{
	background: #21ce92;
	color: #fff;
}
.light .signer .btn:hover{
	background:#141616;
}
.signer .btn.return-wallet-action{
	background: #21ce92;
	color: #fff;
}
.light .signer .btn.return-wallet-action{
	background: #fff;
	color: #141616;
}
.signer .btn.btn-grad:hover{
	background: #21ce92;
	color: #fff;
}
.signer .btn:disabled{
	opacity: .5;
	cursor: default;
}
.signer .btn:disabled:hover{
	opacity: .7;
}
.signer .btn .arrow{
	font-size:2em;
	margin-bottom:10px;
	margin-right:10px;
}
.signer .btn.btn-yellow{
	border-color: #f2994a;
}
.signer .i-tip{
	position: relative;
	display: inline-block;
	vertical-align: middle;
	text-align: center;
	line-height: 23px;
	font-style: normal;
	border-radius: 4px;
	cursor: pointer;
	border: 0;
	padding: 0 4px 0 6px;
	top: -3px;
}
.signer .i-tip.focus:before, .signer .i-tip:focus:before, .signer .i-tip:hover:before{
	background-position: 0 -17px;
}
.signer .i-tip:before{
	content: '';
	display: block;
	width: 15px;
	height: 15px;
	background: url('/tip.svg') 0 0 no-repeat;
}
.signer .btn img{
	max-height:32px;
	max-width:50px;
	margin-right:0.8em;
	vertical-align:middle;
	pointer-events:none;
}
.signer .sign-status.active{
	@apply mt-4;
}
.signer .error-status, .signer .fail-status{
	@apply my-4;
	color:#ff3d3d;
}
.dark .signer .error-status,.dark  .signer .fail-status{
	color:#ff9a21;
}
.signer .success-status{
	font-size:1.2em;
}
.signer .success-status .value{
	display:block;
	line-height:1.2em;
	margin-top:0.5em;
}
.walletconnect-modal__mobile__toggle a{
	color:#000;
}
.rotate{
	animation:rotation 2s infinite linear;
}
@keyframes rotation {
	from {
		transform: rotate(0deg);
	}
	to {
		transform: rotate(359deg);
	}
}

figure{
	clear:both;
	display:table;
	margin:0.9em auto;
	min-width:50px;
	text-align:center;
	max-width:calc(100vw - 2rem);
}
figure.image{
	width:100%;
	display:block;
	margin:0 auto;
}
figure.media{
	width:100%;
	display:block;
	clear:both;
	margin:1em auto;
	min-width:15em;
}

figure figcaption{
	background:#f7f7f7;
	display: block;
	text-align: center;
	font-size: .75em;
	padding: 0.6em;
	word-break: break-word;
}
.dark figure figcaption{
	@apply bg-gray-500/50;
}

.content-wrapper ul, .text-content ul{
	margin:0;
	padding:0;
	margin-left:1em;
}
.content-wrapper ul li,.text-content ul li{
	max-width:100vw;
	list-style:disc;
	margin-left:0.5em;
}
.content-wrapper ol{
	margin:0;
	padding:0;
	margin-left:1em;
}
.content-wrapper ol li{
	list-style: decimal;
	margin-left:0.5em;
}
/* links */
.content-wrapper a{
	@apply
	underline decoration-1 underline-offset-2
	text-link-color hover:text-link-hover-color
	dark:text-link-color-dark dark:hover:text-link-hover-color-dark
	decoration-link-underline-color dark:decoration-link-underline-color-dark;
}

.oembed-wrapper{
	position: relative;
	padding-bottom:100%;
	height:0;
	padding-bottom:56.2493%;
}

.content-card{
	@apply flex flex-col md:flex-row text-lg my-6 mb-8 pb-4 border-b-2 border-gray-200/50;
}
.dark .content-card{
	@apply border-gray-500/50;
}
.content-card.single{
	@apply border-b-0 mb-6 pb-0 flex-wrap;
}
.content-card.article{
	@apply my-0;
}
.content-card.draft{
	@apply opacity-50 hover:opacity-100 ease-linear duration-150;
}

.content-card .content-cover{
	@apply max-w-fit max-h-[12rem] overflow-hidden w-full h-auto object-cover border-4 border-gray-200/50 self-start;
}
.dark .content-card .content-cover{
	@apply border-gray-500/50;
}
.content-card .content-time{
	@apply text-gray-400 text-sm;
}
.content-card .content-time .bold{
	@apply text-gray-500 font-semibold;
}
.dark .content-card .content-time{
	@apply text-gray-500;
}
.dark .content-card .content-time .bold{
	@apply text-gray-600;
}
.content-card .content-global-time{
	@apply block;
}
.content-card .content-local-time{
	@apply block md:inline-block hidden;
}
.content-card .content-title{
	@apply text-2xl text-black mb-2 font-semibold;
}
.dark .content-card .content-title{
	@apply text-white;
}
/* links */
.content-card .content-caption a{
	@apply underline decoration-1 underline-offset-2
	text-blue-600 decoration-blue-300;
}
.dark .content-card .content-caption a{
	@apply underline decoration-1 underline-offset-2
	text-[#4afebf] decoration-[#4afebf];
}

.content-card .content-description{
	@apply text-gray-500 text-base;
}
.dark .content-card .content-description{
	@apply text-gray-400 text-base;
}
.content-card .content-description p{
	@apply mb-2;
}
.content-pinned{
	@apply text-yellow-500 inline-block ml-2 align-text-bottom;
}
h1 .content-pinned{
	@apply align-baseline;
}

.content-tags{
	@apply flex flex-wrap my-4;
}
.badge{
	@apply
	text-badge-fontsize
	inline-block
	leading-none
	px-badge-x py-badge-y
	mr-2 mb-2
	duration-500 ease-in-out transition-all
	rounded-badge
	text-badge-text dark:text-badge-text-dark
	hover:text-badge-text dark:hover:text-badge-text-dark
	bg-badge-back hover:bg-badge-back
	dark:bg-badge-back-dark dark:hover:bg-badge-back-dark;
}
.badge.bg-tag{
	@apply
	bg-badge-back hover:bg-badge-back
	dark:bg-badge-back-dark dark:hover:bg-badge-back-dark;
}
.badge.bg-tag.reverse{
	@apply border
	border-badge-reverse-stroke dark:border-badge-reverse-stroke-dark
	text-badge-reverse-text dark:text-badge-reverse-text-dark
	hover:text-badge-reverse-text dark:hover:text-badge-reverse-text-dark
	bg-transparent hover:bg-transparent
	dark:bg-transparent dark:hover:bg-transparent;
}
a.badge{
	@apply text-white hover:text-white dark:hover:text-black !no-underline;
}

.content-card .content-wrapper,.content-wrapper.simple{
	@apply border-0 p-0 mb-4;
	flex-basis:100%;/*full row width*/
}

.content-wrapper table{
	border: 1px double #b3b3b3;
	border-collapse: collapse;
	border-spacing: 0;
	height: 100%;
	width: 100%;
}
.dark .content-wrapper table{
	@apply border-gray-500/50;
}
.content-wrapper table th{
	text-align: left;
	background: rgba(0,0,0,.05);
	font-weight: 700;
}
.content-wrapper table td, .content-wrapper table th{
	border: 1px solid #bfbfbf;
	min-width: 2em;
	padding: 0.4em;
}
.dark .content-wrapper table td, .dark .content-wrapper table th{
	@apply border-gray-500/50;
}
.content-wrapper table tr td{
	padding-left: 1.5rem;
	padding-right: 1.5rem;
	padding-top: 1rem;
	padding-bottom: 1rem;
	text-align: left;
}
.content-wrapper table.clear{
	border:none;
}
.content-wrapper table.clear th{
	background:none;
}
.content-wrapper table.clear td, .content-wrapper table.clear th{
	border:none;
}
.content-wrapper blockquote{
	@apply italic mx-0 overflow-hidden;
	border-left: 5px solid #cccccccc;
	padding-left: 1.5em;
	padding-right: 1.5em;
}

.notify-list{
	@apply flex flex-col;
}
.notify-item{
	@apply block p-4 border-b-2 border-gray-300/75 dark:border-gray-500/75;
}
.notify-item.notify-view{
	@apply p-0 pb-4;
}
.notify-item.viewed{
	@apply opacity-50 hover:opacity-100 transition-all duration-500;
}
.notify-item .notify-time{
	@apply mt-2 text-gray-400 text-sm;
}
.notify-item .notify-recipient{
	@apply mt-2 text-gray-400 text-sm;
}
.notify-item .notify-time .bold{
	@apply text-gray-500 font-semibold;
}
.notify-item .notify-global-time{
	@apply block;
}
.notify-item .notify-local-time{
	@apply hidden;
}

h2.partners-category{
	@apply text-2xl  font-semibold my-4
	text-gray-600 dark:text-gray-400;
}
.partners-list{
	@apply flex flex-col md:flex-row flex-wrap justify-start pt-4 w-[calc(100vw_-_2rem)] md:w-fit max-w-[100vw];
}
.partner-item{
	@apply flex flex-col items-center justify-start pb-8 md:pr-8;
}
.partner-item a{
	@apply block opacity-100 hover:opacity-50 transition-all duration-300 !no-underline;
}
.partner-item img{
	@apply max-h-[200px] max-w-[250px];
}
.partner-caption{
	@apply text-center text-sm my-2
	text-gray-600 dark:text-gray-400;
}

.eclipse-overflow{
	@apply inline-block align-middle max-w-full overflow-hidden text-ellipsis;
}

.check-in-autoupdate{
	@apply text-lg lg:text-xl bg-gray-100 dark:bg-gray-500 font-semibold p-4 my-4;
	display:block;
	text-align:center;
	align-items:center;
	justify-content:center;
	border:0;
	border-radius:10px;
	text-decoration:none;
}
.check-in-autoupdate .timer{
	@apply mx-1 text-main-color dark:text-main-color-dark;
}
.check-in-autoupdate img{
	@apply inline-block align-middle max-w-[26px] mr-2 md:mr-4 md:max-w-[32px] pointer-events-none;
}

.image-sub-button{
	@apply absolute mt-[-30px];
}

.wrap-long-text{
	@apply break-all;
}

.action-wrapper{
	@apply relative;
}
/* links */
.action-wrapper a{
	@apply underline decoration-1 underline-offset-2 decoration-main-color dark:decoration-main-color-dark;
}

hr{
	@apply border-gray-200 dark:border-gray-500/50;
}

.form-description{
	@apply text-form-descr-fontsize
	text-form-descr dark:text-form-descr-dark;
}
.additional-tooltip{
	@apply hidden
	text-form-descr-fontsize
	text-form-descr-tooltip dark:text-form-descr-tooltip-dark;
}
.additional-tooltip.show{
	@apply block;
}
.additional-tooltip.error{
	@apply hidden
	text-form-descr-fontsize
	text-form-descr-error dark:text-form-descr-error-dark;
}

.ck.ck-editor__main>.ck-editor__editable{
	background-color:#fff;
	color:#000;
}
.dark .ck.ck-editor__main>.ck-editor__editable{
	background-color:#1e2121;
	color:#fff;
}

.action-wrapper .image-type{
	@apply border-2 border-gray-200/50 max-h-[20vh] max-w-[40vh];
}
.dark .action-wrapper .image-type{
	@apply border-gray-500/50;
}

.theme-changer{
	@apply hidden;
}

.sort-wrapper{
	@apply opacity-50 my-4;
}
.sort-wrapper.active{
	@apply opacity-100;
}
.sort-wrapper ul{
	@apply m-0 p-0 list-none;
}
.sort-wrapper li{
	@apply transition-all duration-150 cursor-grab my-2 p-4 px-6 border-2 border-gray-200/50 bg-gray-100/75 text-black;
}
.sort-wrapper li.hint{
	@apply cursor-grabbing
	border-yellow-500/50 bg-yellow-300/50
	dark:border-yellow-500/75 dark:bg-yellow-300/75
	text-black;
}
.sort-wrapper li.active{
	@apply cursor-grabbing
	!border-blue-500/50 !bg-blue-300/50
	dark:!border-blue-500/75 dark:!bg-blue-300/75
	text-black
	!font-semibold;
}

figure.image img{
	@apply max-w-full h-auto mx-auto;
}

i.icon svg{
	@apply inline-block align-middle;
}
i.icon.positive{
	@apply text-success-item;
}
i.icon.negative{
	@apply text-negative-item;
}

.admin-title-wrapper{
	@apply flex flex-col md:flex-row flex-wrap;
}
.admin-title-wrapper h1{
	@apply flex-grow;
}
.admin-title-wrapper h1 .action-btn{
	@apply text-base font-normal ml-4 align-middle leading-[36px];
}
.admin-title-wrapper .button-wrapper{
	@apply justify-end flex-grow-0 flex-shrink-0;
}
.admin-title-wrapper .button-wrapper .action-btn svg{
	@apply inline-block align-middle max-w-[20px] max-h-[20px] mr-1 relative top-[-2px];
}
.admin-copy-icon{
	@apply text-blue-500 !no-underline duration-[0ms] cursor-pointer;
}
.admin-copy-icon.active{
	@apply text-green-500 font-semibold;
}
.text-copy{
	@apply block absolute top-[-100px] left-[-1000px] opacity-0;
}

.default-button{
	@apply leading-[36px] /*py-1*/;
}

[type='checkbox']:checked, [type='radio']:checked{
	@apply bg-main-color dark:bg-main-color-dark text-main-color dark:text-main-color-dark;
}

[type='checkbox']:focus, [type='radio']:focus{
	--tw-ring-color: #2952E1;/*can not implement color var from tailwindcss --main-color*/
}
.dark [type='checkbox']:focus,.dark [type='radio']:focus{
	--tw-ring-color: #5672D8;/*can not implement color var from tailwindcss --main-color*/
}

.default2-button{
}

.dark .default2-button{
	@apply border
	border-white
	rounded-action-button
	/*py-1*/ px-3
	leading-[36px]
	whitespace-nowrap !no-underline;
	@apply !bg-transparent !border-[#ffffff] !text-[#ffffff] !duration-[0ms];
}
.dark .default2-button:hover{
	@apply !bg-[#ffffff] !border-[#ffffff] !text-[#000000];
}
.dark .action-btn.negative.default2-button{
	@apply hover:!text-[#000000];
}

.light .default2-button{
	@apply border
	border-white
	rounded-action-button
	/*py-1*/ px-3
	leading-[36px]
	whitespace-nowrap !no-underline;
	@apply !bg-transparent !border-[#51eeda] !text-[#000000] !duration-[0ms];
}
.light .default2-button:hover{
	@apply !bg-[#000000] !border-[#000000] !text-[#ffffff];
}
.light .action-btn.negative.default2-button{
	@apply hover:!text-[#ffffff];
}


.default3-button{
}
.dark .header-wrapper .default3-button{
	@apply border border-white rounded py-1 px-3 whitespace-nowrap !no-underline;
	@apply !bg-[#4afebf] !border-[#4afebf] !text-[#141616] !duration-[0ms];
}
.dark .header-wrapper .default3-button:hover{
	@apply !bg-[#21ce92] !border-[#4afebf] !text-[#ffffff];
}
.dark .header-wrapper .default3-button.selected{
	@apply !bg-[#21ce92] !border-[#4afebf] !text-[#ffffff] hover:!text-[#ffffff];
}
.dark .main-container .default3-button{
	@apply border border-white rounded py-1 px-3 whitespace-nowrap !no-underline;
	@apply !bg-[#4afebf] !border-[#4afebf] !text-[#141616] !duration-[0ms];
}
.dark .main-container .default3-button:hover{
	@apply !bg-[#21ce92] !border-[#4afebf] !text-[#ffffff];
}
.dark .main-container .default3-button.selected{
	@apply !bg-[#21ce92] !border-[#4afebf] !text-[#ffffff] hover:!text-[#ffffff];
}

.collapsible{
	@apply cursor-pointer bg-gray-500 text-white font-semibold p-2 block w-full;
}
.collapsible:after {
	@apply float-right ml-2 font-semibold text-white;
	content:'\002B';
}
.collapsible.active:after {
	content:'\2212';
}
.collapse-wrapper{
	@apply overflow-hidden transition-all duration-300 ease-in-out max-h-[0px] px-4
	bg-gray-100/50 dark:bg-gray-600/50;
}
.cover-text{
	@apply align-middle text-center self-center;
}
.cover-title-text{
	@apply text-4xl leading-[1em] font-bold text-white my-4;
}
.cover-descr-text{
	@apply text-xl leading-[1em] font-normal text-white;
}

.wizard-description{
	@apply text-base text-gray-500 dark:text-gray-400;
}
.wizard-form{
	@apply text-xl;
}
.wizard-form input[type=radio]{
	width:1em;
	height:1em;
}

.time{
	@apply cursor-[alias];
}
.modal-bg{
	@apply fixed top-0 left-0 right-0 z-50 w-full p-4 overflow-x-hidden overflow-y-auto md:inset-0 h-[100vh] max-h-full justify-center items-center flex;
}
.modal-bg.active{
	@apply bg-modal-page-back dark:bg-modal-page-back-dark;
}
.modal-bg.hide{
	@apply hidden;
}
.modal-wrapper{
	@apply relative w-full max-w-2xl max-h-full;
}
.modal-wrapper.hide{
	@apply hidden;
}
.modal-box{
	@apply relative bg-modal-back dark:bg-modal-back-dark rounded-content-box shadow-modal dark:shadow-none overflow-auto;
}
.modal-header{
	@apply flex items-start justify-between mx-modal-x my-modal-y mb-0 border-b rounded-t dark:border-gray-600;
}
.modal-header h3{
	@apply text-modal-header font-semibold text-gray-900 dark:text-white;
}
.modal-body{
	@apply m-modal mx-modal-x space-y-6;
}
.modal-body p{
	@apply text-base leading-relaxed text-gray-500 dark:text-gray-400;
}
.modal-footer{
	@apply flex items-center mx-modal-x my-modal-y mt-0 pt-modal space-x-2 border-t border-gray-200 dark:border-gray-600 rounded-b;
}
.grow-white-space{
	@apply flex-grow;
}
ul.organizers-list li{
	@apply list-inside list-disc;
}
.modal-hide-button{
	@apply text-gray-500 bg-transparent rounded-lg text-sm p-1.5 ml-auto inline-flex items-center self-center;
}
.modal-hide-button svg{
	@apply w-5 h-5;
}

.emoji-circle{
	@apply inline-block rounded-full w-[0.75em] h-[0.75em] align-baseline bg-main-color dark:bg-main-color-dark;
}

/* fix table from ckeditor for mobile style */
@media only screen and (min-width:0) and (max-width: 768px) {
	figure table{
		@apply tinyscroll;
		display: block;
		margin: 0.9em 0;
		overflow-x: auto;
		overflow-y: auto;
		max-height: 100vh;
		max-width: calc(100vw - 2rem);
	}
}